Loading...
Searching...
No Matches
vkd3d_shader_parameter_immediate_constant1 Struct Reference

The value of an immediate constant parameter, used in struct vkd3d_shader_parameter1. More...

`#include <vkd3d_shader.h>`

## Data Fields

union { |
uint32_t u32 |
| The value if the parameter's data type is VKD3D_SHADER_PARAMETER_DATA_TYPE_UINT32.
float f32 |
| The value if the parameter's data type is VKD3D_SHADER_PARAMETER_DATA_TYPE_FLOAT32.
float f32_vec4 [4] |
| A pointer to the value if the parameter's data type is VKD3D_SHADER_PARAMETER_DATA_TYPE_FLOAT32_VEC4. More...
void * _pointer_pad |
uint32_t _pad [4] |
} | u

## Detailed Description

The value of an immediate constant parameter, used in struct vkd3d_shader_parameter1.

Since
  1.13

## Field Documentation

## f32_vec4

float vkd3d_shader_parameter_immediate_constant1::f32_vec4[4]

A pointer to the value if the parameter's data type is VKD3D_SHADER_PARAMETER_DATA_TYPE_FLOAT32_VEC4.

Since
  1.14

The documentation for this struct was generated from the following file:

- include/vkd3d_shader.h